Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultOWLOntology

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultOWLOntology

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, OWLOntology, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultOWLOntology

extends DefaultRDFIndividual
implements OWLOntology

The default implementation of the OWLObjectProperty interface.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`DefaultOWLOntology()`
`DefaultOWLOntology(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`void` | `addBackwardCompatibleWith(String resource)`
`void` | `addImports(OWLOntology ontology)`
`void` | `addImports(RDFExternalResource resource)`
`void` | `addImports(RDFUntypedResource resource)`
`void` | `addImports(String uri)` Imprtant - for usage see `OWLOntology`
`void` | `addImports(URI uri)`
`void` | `addIncompatibleWith(String resource)`
`void` | `addPriorVersion(String resource)`
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`Collection` | `getBackwardCompatibleWith()`
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`Icon` | `getIcon()`
`Collection` | `getImportResources()` Gets the URIs of the imports as RDFUntypedResources or OWLOntologies.
`Collection<String>` | `getImports()` Gets the URIs of the imports (as strings)
`Collection` | `getIncompatibleWith()`
`String` | `getOntologyURI()`
`Collection` | `getPriorVersions()`
`boolean` | `isAssociatedTriplestoreEditable()`
`void` | `removeBackwardCompatibleWith(String resource)`
`void` | `removeImports(String uri)`
`void` | `removeIncompatibleWith(String resource)`
`void` | `removePriorVersion(String resource)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultOWLOntology

    public DefaultOWLOntology(edu.stanford.smi.protege.model.KnowledgeBase kb,
                              edu.stanford.smi.protege.model.FrameID id)

### DefaultOWLOntology

    public DefaultOWLOntology()

Method Detail

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFIndividual`
  Parameters:
    `visitor` - The visitor that will operate on this object.

### addBackwardCompatibleWith

    public void addBackwardCompatibleWith(String resource)

  Specified by:
    `addBackwardCompatibleWith` in interface `OWLOntology`

### addImports

    public void addImports(String uri)

  Imprtant - for usage see `OWLOntology`

  Specified by:
    `addImports` in interface `OWLOntology`
  Parameters:
    `uri` -
  See Also:
    `edu.stanford.smi.protegex.owl.jena.parser.ProtegeOWLParser#addImport`

### addImports

    public void addImports(URI uri)

  Specified by:
    `addImports` in interface `OWLOntology`

### addImports

    public void addImports(RDFExternalResource resource)

  Specified by:
    `addImports` in interface `OWLOntology`

### addImports

    public void addImports(RDFUntypedResource resource)

  Specified by:
    `addImports` in interface `OWLOntology`

### addImports

    public void addImports(OWLOntology ontology)

  Specified by:
    `addImports` in interface `OWLOntology`

### addIncompatibleWith

    public void addIncompatibleWith(String resource)

  Specified by:
    `addIncompatibleWith` in interface `OWLOntology`

### addPriorVersion

    public void addPriorVersion(String resource)

  Specified by:
    `addPriorVersion` in interface `OWLOntology`

### equalsStructurally

    public boolean equalsStructurally(RDFObject object)

  Description copied from interface: `RDFObject`
  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Specified by:
    `equalsStructurally` in interface `RDFObject`
  Overrides:
    `equalsStructurally` in class `DefaultRDFIndividual`
  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

### getBackwardCompatibleWith

    public Collection getBackwardCompatibleWith()

  Specified by:
    `getBackwardCompatibleWith` in interface `OWLOntology`

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.DefaultInstance`
  Returns:
    the browser text

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getIcon` in interface `ProtegeInstance`
  Overrides:
    `getIcon` in class `DefaultRDFIndividual`
  See Also:
    `ProtegeUI.getIcon(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getImports

    public Collection<String> getImports()

  Description copied from interface: `OWLOntology`
  Gets the URIs of the imports (as strings)

  Specified by:
    `getImports` in interface `OWLOntology`
  Returns:
    a Collection of strings

### getImportResources

    public Collection getImportResources()

  Description copied from interface: `OWLOntology`
  Gets the URIs of the imports as RDFUntypedResources or OWLOntologies.

  Specified by:
    `getImportResources` in interface `OWLOntology`
  Returns:
    the import resources

### getIncompatibleWith

    public Collection getIncompatibleWith()

  Specified by:
    `getIncompatibleWith` in interface `OWLOntology`

### getOntologyURI

    public String getOntologyURI()

  Specified by:
    `getOntologyURI` in interface `OWLOntology`
  See Also:
    `RDFResource.getURI()`

### getPriorVersions

    public Collection getPriorVersions()

  Specified by:
    `getPriorVersions` in interface `OWLOntology`

### removeBackwardCompatibleWith

    public void removeBackwardCompatibleWith(String resource)

  Specified by:
    `removeBackwardCompatibleWith` in interface `OWLOntology`

### removeImports

    public void removeImports(String uri)

  Specified by:
    `removeImports` in interface `OWLOntology`

### removeIncompatibleWith

    public void removeIncompatibleWith(String resource)

  Specified by:
    `removeIncompatibleWith` in interface `OWLOntology`

### removePriorVersion

    public void removePriorVersion(String resource)

  Specified by:
    `removePriorVersion` in interface `OWLOntology`

### isAssociatedTriplestoreEditable

    public boolean isAssociatedTriplestoreEditable()

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultRDFIndividual`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.